> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Projects

> List all projects with pagination and filtering support.



## OpenAPI

````yaml https://dex.sgp.scale.com/openapi.json get /v1/projects
openapi: 3.1.0
info:
  title: Document Understanding API
  description: API for uploading and processing documents
  version: 0.4.5
servers: []
security:
  - ApiKey: []
    AccountId: []
tags:
  - name: Projects
    description: Operations related to project creation and management
  - name: Files
    description: Operations related to file upload and access
  - name: Parse
    description: Operations related to starting parse jobs and accessing their results
  - name: Vector Stores
    description: Operations related to vector store creation and management
  - name: Extract
    description: Operations related to starting extract jobs and accessing their results
  - name: Research
    description: Dex Research agent kickoff and results.
  - name: Jobs
    description: Operations related to monitoring jobs and their status
paths:
  /v1/projects:
    get:
      tags:
        - Projects
      summary: List Projects
      description: List all projects with pagination and filtering support.
      operationId: list_projects_v1_projects_get
      parameters:
        - name: include_archived
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Archived
        - name: page_size
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 100
                minimum: 1
              - type: 'null'
            description: Number of items per page
            title: Page Size
          description: Number of items per page
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Field to sort by
            title: Sort By
          description: Field to sort by
        - name: sort_order
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SortOrder'
              - type: 'null'
            description: Sort order (asc or desc)
            title: Sort Order
          description: Sort order (asc or desc)
        - name: continuation_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Pagination token
            title: Continuation Token
          description: Pagination token
        - name: ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: Filter by project IDs
            title: Ids
          description: Filter by project IDs
        - name: statuses
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/ProjectStatus'
              - type: 'null'
            description: Filter by project statuses (active, archived)
            title: Statuses
          description: Filter by project statuses (active, archived)
        - name: created_at_start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by creation time (start)
            title: Created At Start
          description: Filter by creation time (start)
        - name: created_at_end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Filter by creation time (end)
            title: Created At End
          description: Filter by creation time (end)
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by project name (case-insensitive partial match)
            title: Name
          description: Filter by project name (case-insensitive partial match)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MaybePaginatedListResponse_ProjectEntity_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SortOrder:
      type: string
      enum:
        - asc
        - desc
      title: SortOrder
      description: >-
        Enum for project sort fields.

        Note that only non-nullable fields can be sorted by (for

        details, see:
        https://github.com/djrobstep/sqlakeyset?tab=readme-ov-file#limitations
        ).
    ProjectStatus:
      type: string
      enum:
        - active
        - archived
      title: ProjectStatus
      description: Enum for project status values.
    MaybePaginatedListResponse_ProjectEntity_:
      anyOf:
        - $ref: '#/components/schemas/PaginatedItems_ProjectEntity_'
        - items:
            $ref: '#/components/schemas/ProjectEntity'
          type: array
      title: MaybePaginatedListResponse[ProjectEntity]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PaginatedItems_ProjectEntity_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ProjectEntity'
          type: array
          title: Items
        total_count:
          type: integer
          title: Total Count
        next_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Token
        prev_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Prev Token
      type: object
      required:
        - items
        - total_count
      title: PaginatedItems[ProjectEntity]
    ProjectEntity:
      properties:
        id:
          type: string
          title: Id
          description: ID of the entity
        name:
          type: string
          title: Name
          description: Project readable name
        status:
          $ref: '#/components/schemas/ProjectStatus'
          description: Project status
        configuration:
          anyOf:
            - $ref: '#/components/schemas/ProjectConfiguration'
            - type: 'null'
          description: Project configuration
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Datetime when the project was created
        archived_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Archived At
          description: Datetime when the project was archived
      type: object
      required:
        - id
        - name
        - status
        - created_at
      title: ProjectEntity
      description: Project response model.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ProjectConfiguration:
      properties:
        retention:
          anyOf:
            - $ref: '#/components/schemas/RetentionPolicy'
            - type: 'null'
          description: Project retention policy
      additionalProperties: true
      type: object
      title: ProjectConfiguration
    RetentionPolicy:
      properties:
        files:
          anyOf:
            - type: string
              format: duration
            - type: 'null'
          title: Files
          description: File retention days
        result_artifacts:
          anyOf:
            - type: string
              format: duration
            - type: 'null'
          title: Result Artifacts
          description: >-
            Data retention days for artifacts that are created from parse or
            extract jobs as well as the jobs themselves
      type: object
      title: RetentionPolicy
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication
    AccountId:
      type: apiKey
      in: header
      name: x-selected-account-id
      description: Selected Account ID

````